declare interface Fn<T = any> {
  (...arg: T[]): T;
}

declare interface IObj<T = any> {
  [key: string]: T;
  [key: number]: T;
}

declare type SelectOptions<T = any> = {
  label: string;
  value: T;
}[];

declare type EmitType = (event: string, ...args: any[]) => void;
