export const TableColumnOfPutBooks = [
  {
    title: "公众号名称",
    dataIndex: "official_name",
  },
  {
    title: "书籍",
    dataIndex: "book_name",
  },
  {
    title: "流量平台",
    dataIndex: "delivery_platform",
  },

  {
    title: "开始时间",
    dataIndex: "start_time",
  },
  {
    title: "结束时间",
    dataIndex: "end_time",
  },
  {
    title: "操作",
    key: "operator",
    slots: { customRender: "operator" },
  },
];

export const TableColumnOfPutAdAccount = [
  {
    title: "邮箱",
    dataIndex: "email",
  },
  {
    title: "账户ID",
    dataIndex: "account",
  },
  {
    title: "用户名",
    dataIndex: "user",
  },
  {
    title: "平台",
    dataIndex: "platform",
  },
  {
    title: "推广员",
    dataIndex: "promoter",
  },
  {
    title: "状态",
    dataIndex: "status",
  },
  {
    title: "操作",
    key: "operator",
    slots: { customRender: "operator" },
  },
];

export const TableColumnOfPutData = [
  {
    fixed: "left",
    title: "日期",
    dataIndex: "date",
    width: 100,
  },
  {
    title: "公众号名称",
    dataIndex: "account",
    width: 150,
  },
  {
    title: "书名",
    dataIndex: "book_name",
  },
  {
    title: "消耗",
    dataIndex: "cost",
  },
  {
    title: "新增注册用户",
    dataIndex: "add_register_user",
  },
  {
    title: "流量平台",
    dataIndex: "platform",
  },
  {
    title: "注册成本",
    dataIndex: "register_number",
  },
  {
    title: "支付粉价",
    dataIndex: "fans_cost",
  },
  {
    title: "累计回本",
    dataIndex: "cumulative",
  },
  {
    fixed: "right",
    title: "24小时回本率",
    dataIndex: "day_rate",
    width: 120,
  },
  {
    fixed: "right",
    title: "3天回本率",
    dataIndex: "three_day_rate",
    width: 100,
  },
  {
    fixed: "right",
    title: "7天回本率",
    dataIndex: "week_rate",
    width: 100,
  },
  {
    fixed: "right",
    title: "30天回本率",
    dataIndex: "month_rate",
    width: 120,
  },
  {
    fixed: "right",
    title: "操作",
    key: "operator",
    width: 200,
    slots: { customRender: "operator" },
  },
];

export const TableColumnOfPutAdPlan = [
  {
    fixed: "left",
    title: "",
    dataIndex: "check",
    width: 120,
  },
  {
    fixed: "left",
    title: "账户ID",
    dataIndex: "account_id",
    width: 120,
  },
  {
    fixed: "left",
    title: "邮箱",
    dataIndex: "email",
    width: 150,
  },
  {
    fixed: "left",
    title: "用户名",
    dataIndex: "user_name",
    width: 150,
  },
];
