import { ModalFunc, ModalFuncProps } from "ant-design-vue/lib/modal/Modal";
import { ComponentCustomProperties } from "vue";

declare module "@vue/runtime-core" {
  interface ComponentCustomProperties {
    $copyText(
      text: string,
      container?: HTMLElement
    ): Promise<ClipboardJS.Event>;
    $confirm(options: ModalFuncProps): ModalFunc;
  }
}
